## thumbor 7.7.7

=== Makefile ===
PYTHON = python
.PHONY: docs build

OS := $(shell uname)

run: compile_ext
	@thumbor -l debug -d -c thumbor/thumbor.conf

run-prod: compile_ext
	@thumbor -l error -c thumbor/thumbor.conf

setup:
	@$(PYTHON) -m pip install -e .[tests]
	@echo  "\n\nYou are strongly recommended to run 'pre-commit install'\n"

compile_ext build:
	@$(PYTHON) setup.py build_ext -i

test: build redis
	@$(MAKE) unit coverage
	@$(MAKE) integration_run
	@$(MAKE) flake
	@$(MAKE) kill_redis

ci_test: build
	@echo "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
	@echo "TORNADO IS `python -c 'import tornado; import inspect; print(inspect.getfile(tornado))'`"
	@echo "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
	@if [ "$$LINT_TEST" ]; then $(MAKE) flake; elif [ -z "$$INTEGRATION_TEST" ]; then $(MAKE) unit coverage; else $(MAKE) integration_run; fi

integration_run integration int:
	@pytest -sv integration_tests/ -p no:tldr

pint pintegration:
	@pytest -sv integration_tests/ -p no:tldr -n `nproc`

coverage:
	@coverage report -m --fail-under=10

unit:
	@pytest -n `nproc` --cov=thumbor tests/

sequential-unit:
	@pytest -sv --junit-xml=test-results/unit/results.xml --cov=thumbor tests/

kill_redis:
	@-redis-cli -p 6668 -a hey_you shutdown
	@-redis-cli -p 26379 -a hey_you shutdown
	@-rm /tmp/redis-sentinel.conf 2>/dev/null

redis: kill_redis
	@cp redis-sentinel.conf /tmp/redis-sentinel.conf
	@redis-server redis.conf ; sleep 1
	@redis-server /tmp/redis-sentinel.conf --sentinel ; sleep 1
	@redis-cli -p 6668 -a hey_you info

format:
	@black .

flake:
	@flake8 --config .flake8

pylint:
	@pylint --load-plugins=pylint.extensions.no_self_use thumbor tests

setup_docs:
	@$(PYTHON) -m pip install -r docs/requirements.txt

build_docs:
	@cd docs && make html

docs:
	@sphinx-reload --host 0.0.0.0 --port 5555 docs/

sample_images:
	convert -delay 100 -size 100x100 gradient:blue gradient:red -loop 0 integration_tests/imgs/animated.gif
	convert -size 100x100 gradient:blue integration_tests/imgs/gradient.jpg
	convert -size 100x100 gradient:blue integration_tests/imgs/gradient.gif
	convert -size 100x100 gradient:blue integration_tests/imgs/gradient.webp
	convert -size 100x100 gradient:gray -colorspace gray integration_tests/imgs/grayscale.jpg
	convert -size 100x100 gradient:blue -depth 16 integration_tests/imgs/16bit.png
	convert -size 100x100 gradient:blue -colorspace CMYK integration_tests/imgs/cmyk.jpg
	convert -size 100x100 xc:none -fill gradient:blue -draw "circle 50,50 50,1" -depth 8 integration_tests/imgs/rgba.png
	convert -size 100x100 xc:none -fill gradient:blue -draw "circle 50,50 50,1" -interlace PNG -depth 8 integration_tests/imgs/rgba-interlaced.png
	convert -size 16383x16383 canvas:blue tests/fixtures/images/16383x16383.png
	convert -size 16384x16384 canvas:blue tests/fixtures/images/16384x16384.png
	convert -size 9643x10328 canvas:blue tests/fixtures/images/9643x10328.jpg
	convert -size 1x1 canvas:white png24:tests/fixtures/images/1x1.png
	cp integration_tests/imgs/animated.gif tests/fixtures/images/animated.gif
	convert -size 20x20 gradient:blue tests/fixtures/images/20x20.jpg
	echo "" > tests/fixtures/images/image_invalid.jpg
	convert -size 300x400 gradient:blue tests/fixtures/images/image.jpg
	convert -delay 100 -size 100x100 gradient:blue tests/fixtures/images/animated-one-frame.gif
	cp integration_tests/imgs/grayscale.jpg tests/fixtures/images/grayscale.jpg
	cp integration_tests/imgs/cmyk.jpg tests/fixtures/images/cmyk.jpg
	convert -size 100x100 gradient:blue -depth 8 tests/fixtures/images/gradient_8bit.tif
	convert -size 100x100 gradient:blue tests/fixtures/images/gradient_lsb_16bperchannel.tif
	convert -size 100x100 gradient:blue -define tiff:endian=msb tests/fixtures/images/gradient_msb_16bperchannel.tif
	curl -s https://upload.wikimedia.org/wikipedia/en/4/4a/Commons-logo.svg -o tests/fixtures/images/Commons-logo.svg
	sed 's/width="1024" height="1376"/width="10in" height="13in"/g' tests/fixtures/images/Commons-logo.svg > tests/fixtures/images/Commons-logo-inches.svg
	curl -s https://upload.wikimedia.org/wikipedia/commons/3/3e/10_years_of_Wikipedia_by_Guillaume_Paumier.jpg -o tests/fixtures/images/10_years_of_Wikipedia_by_Guillaume_Paumier.jpg
	convert tests/fixtures/images/10_years_of_Wikipedia_by_Guillaume_Paumier.jpg -orient LeftBottom tests/fixtures/images/10_years_of_Wikipedia_by_Guillaume_Paumier.jpg
	curl -s https://upload.wikimedia.org/wikipedia/commons/6/6d/Christophe_Henner_-_June_2016.jpg -o tests/fixtures/images/Christophe_Henner_-_June_2016.jpg
	curl -s https://upload.wikimedia.org/wikipedia/commons/3/31/Giunchedi%2C_Filippo_January_2015_01.jpg -o tests/fixtures/images/Giunchedi%2C_Filippo_January_2015_01.jpg
	curl -s https://upload.wikimedia.org/wikipedia/commons/2/2c/Rotating_earth_%28large%29.gif -o tests/fixtures/images/Rotating_earth_\(large\).gif
	convert tests/fixtures/images/Giunchedi%2C_Filippo_January_2015_01.jpg -colorspace CMYK tests/fixtures/images/Giunchedi%2C_Filippo_January_2015_01-cmyk.jpg
	convert tests/fixtures/images/Giunchedi%2C_Filippo_January_2015_01.jpg tests/fixtures/images/Giunchedi%2C_Filippo_January_2015_01.png
	convert tests/fixtures/images/Giunchedi%2C_Filippo_January_2015_01.jpg -colorspace gray tests/fixtures/images/Giunchedi%2C_Filippo_January_2015_01-grayscale.jpg
	convert tests/fixtures/images/image.jpg -define jpeg:q-table=tests/fixtures/images/qtables.xml tests/fixtures/images/invalid_quantization.jpg
	convert tests/fixtures/images/image.jpg tests/fixtures/images/image.webp
	convert logo: tests/fixtures/images/no_face.jpg
	cp tests/fixtures/images/image.jpg tests/fixtures/images/image.jpg%3Fts%3D1
	cp tests/fixtures/images/image.jpg tests/fixtures/images/image
	cp tests/fixtures/images/image.jpg tests/fixtures/images/image.jpg%23something
	cp tests/fixtures/images/image.jpg tests/fixtures/images/image%20space.jpg
	cp tests/fixtures/images/image.jpg tests/fixtures/images/15967251_212831_19242645_%D0%90%D0%B3%D0%B0%D1%82%D0%B0%D0%B2%D0%97%D0%BE%D0%BE%D0%BF%D0%B0%D1%80%D0%BA%D0%B5.jpg
	cp tests/fixtures/images/image.jpg tests/fixtures/images/15967251_212831_19242645_АгатавЗоопарке.jpg
	cp tests/fixtures/images/image.jpg tests/fixtures/images/maracujá.jpg
	cp tests/fixtures/images/image.jpg tests/fixtures/images/alabama1_ap620%C3%A9.jpg
	cp tests/fixtures/images/image.jpg tests/fixtures/images/alabama1_ap620é.jpg
	mkdir -p tests/fixtures/result_storages/v2/im/ag/
	cp tests/fixtures/images/image.jpg tests/fixtures/result_storages/v2/im/ag/image.jpg
	mkdir -p tests/fixtures/filters
	curl -s https://upload.wikimedia.org/wikipedia/commons/thumb/2/25/Katherine_Maher.jpg/800px-Katherine_Maher.jpg -o tests/fixtures/filters/source.jpg
	convert tests/fixtures/filters/source.jpg -quality 10 tests/fixtures/filters/quality-10%.jpg
	convert tests/fixtures/filters/source.jpg -rotate 180 tests/fixtures/filters/rotate.jpg
	convert tests/fixtures/filters/source.jpg -blur 4x2 tests/fixtures/filters/blur.jpg
	convert tests/fixtures/filters/source.jpg -blur 8x8 tests/fixtures/filters/blur2.jpg
	convert tests/fixtures/filters/source.jpg -blur 150x150 tests/fixtures/filters/blur3.jpg
	convert tests/fixtures/filters/source.jpg -brightness-contrast 20x0 tests/fixtures/filters/brightness.jpg
	convert tests/fixtures/filters/source.jpg -brightness-contrast 0x20 tests/fixtures/filters/contrast.jpg
	convert tests/fixtures/filters/source.jpg -gamma 1.1,1.02,1.04 tests/fixtures/filters/rgb.jpg
	curl -s https://upload.wikimedia.org/wikipedia/commons/8/81/Wikimedia-logo.svg -o tests/fixtures/filters/watermark.svg
	convert tests/fixtures/filters/watermark.svg -transparent white -resize 30x30 tests/fixtures/filters/watermark.png
	curl -s https://upload.wikimedia.org/wikipedia/commons/thumb/d/da/Guido-portrait-2014.jpg/800px-Guido-portrait-2014.jpg -o tests/fixtures/filters/800px-Guido-portrait-2014.jpg
	curl -s https://upload.wikimedia.org/wikipedia/commons/thumb/6/6d/Christophe_Henner_-_June_2016.jpg/800px-Christophe_Henner_-_June_2016.jpg -o tests/fixtures/filters/800px-Christophe_Henner_-_June_2016.jpg
	curl -s https://upload.wikimedia.org/wikipedia/commons/archive/4/47/20161122122708%21PNG_transparency_demonstration_1.png | convert - -resize 300x225 tests/fixtures/filters/PNG_transparency_demonstration_1.png
	convert tests/fixtures/filters/PNG_transparency_demonstration_1.png -background blue -flatten tests/fixtures/filters/PNG_transparency_demonstration_1_blue.png
	convert tests/fixtures/filters/PNG_transparency_demonstration_1.png -dither None -colors 256 tests/fixtures/images/paletted-transparent.png
	cp tests/fixtures/filters/source.jpg tests/fixtures/filters/800px-Katherine_Maher.jpg
	cp tests/fixtures/images/Giunchedi%2C_Filippo_January_2015_01.jpg tests/fixtures/filters/Giunchedi%2C_Filippo_January_2015_01.jpg
	cp tests/fixtures/filters/watermark.png tests/fixtures/images/watermark.png
	# the watermark filter's logic is too complicated to reproduce with IM, the watermark test images can't be generated here
	# similarly, the noise, colorize, redeye and fill filters generate output too unique to be reproduce with IM and can't be generated here

test-docker-build: test-docker-39-build test-docker310-build test-docker311-build test-docker312-build test-docker313-build

test-docker-run: test-docker-39-run test-docker-310-run test-docker311-run test-docker312-run test-docker313-run

test-docker-publish: test-docker-39-publish test-docker-310-publish test-docker311-publish test-docker312-publish test-docker313-publish

test-docker-39-build:
	@docker build -f TestDockerfile --build-arg PYTHON_VERSION=3.9 -t thumbor-test-39 .

test-docker-39-run:
	@docker run -v "$$(pwd):/app" thumbororg/thumbor-test:39 make compile_ext redis sequential-unit integration flake

test-docker-39-publish:
	@docker image tag thumbor-test-39:latest thumbororg/thumbor-test:39
	@docker push thumbororg/thumbor-test:39

test-docker-310-build:
	@docker build -f TestDockerfile --build-arg PYTHON_VERSION=3.10 -t thumbor-test-310 .

test-docker-310-run:
	@docker run -v "$$(pwd):/app" thumbororg/thumbor-test:310 make compile_ext redis sequential-unit integration flake

test-docker-310-publish:
	@docker image tag thumbor-test-310:latest thumbororg/thumbor-test:310
	@docker push thumbororg/thumbor-test:310

test-docker-311-build:
	@docker build -f TestDockerfile --build-arg PYTHON_VERSION=3.11 -t thumbor-test-311 .

test-docker-311-run:
	@docker run -v "$$(pwd):/app" thumbororg/thumbor-test:311 make compile_ext redis sequential-unit integration flake

test-docker-311-publish:
	@docker image tag thumbor-test-311:latest thumbororg/thumbor-test:311
	@docker push thumbororg/thumbor-test:311

test-docker-312-build:
	@docker build -f TestDockerfile --build-arg PYTHON_VERSION=3.12 -t thumbor-test-312 .

test-docker-312-run:
	@docker run -v "$$(pwd):/app" thumbororg/thumbor-test:312 make compile_ext redis sequential-unit integration flake

test-docker-312-publish:
	@docker image tag thumbor-test-312:latest thumbororg/thumbor-test:312
	@docker push thumbororg/thumbor-test:312

test-docker-313-build:
	@docker build -f TestDockerfile --build-arg PYTHON_VERSION=3.13 -t thumbor-test-313 .

test-docker-313-run:
	@docker run -v "$$(pwd):/app" thumbororg/thumbor-test:313 make compile_ext redis sequential-unit integration flake

test-docker-313-publish:
	@docker image tag thumbor-test-313:latest thumbororg/thumbor-test:313
	@docker push thumbororg/thumbor-test:313

publish:
	@python setup.py sdist
	@twine upload dist/*
	@rm -rf dist/

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Thumbor.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Thumbor.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Thumbor"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Thumbor"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
thumbor (7.7.7-5) unstable; urgency=medium

  [ Alexandre Detiste ]
  * replace dependency on transitional python3-tz with new python3-pytz
  * use dh-sequence-python3
  * drop "Rules-Requires-Root: no": it is the default now
  * bump Standards-Version to 4.7.2
  * rewrite d/watch in v5 format

  [ Marcelo Jorge Vieira ]
  * Maintain compatibility with multiple Pillow versions in ImageCms
    (Closes: #1125082)

  [ Colin Watson ]
  * Remove run-time dependency on setuptools (closes: #1125840).
  * Build-depend on python3-all-dev, fixing builds when there are multiple
    supported Python versions.

 -- Marcelo Jorge Vieira <metal@debian.org>  Mon, 09 Feb 2026 13:24:18 -0300

thumbor (7.7.7-4) unstable; urgency=medium

  * Fix watermark tests by copying full fixtures directory to build dir

 -- Marcelo Jorge Vieira <metal@debian.org>  Sat, 28 Jun 2025 19:19:05 -0300

thumbor (7.7.7-3) unstable; urgency=medium

  [ Marcelo Jorge Vieira ]
  * Remove leftover files on purge: /etc/thumbor.key and /var/cache/thumbor
  * Fix watermark test by adding thumbor/fixtures to build directory

  [ Alexandre Detiste ]
  * remove dependency on old python3-mock

 -- Marcelo Jorge Vieira <metal@debian.org>  Sat, 28 Jun 2025 14:53:31 -0300

thumbor (7.7.7-2) unstable; urgency=medium

  * debian/copyright: Remove CC-BY-SA-2.0 license

 -- Marcelo Jorge Vieira <metal@debian.org>  Thu, 15 May 2025 18:21:01 -0300

thumbor (7.7.7-1) unstable; urgency=medium

  [ Pablo Santiago Blum de Aguiar ]
  * Reformat rules breaking PYBUILD_AFTER_INSTALL commands
  * Remove thumbor/fixtures

  [ Marcelo Jorge Vieira ]
  * New upstream version 7.7.7 (Closes: #955492)
  * Add python3-py3exiv2 as build-dependency
  * Replace 'python3-crypto' with 'python3-cryptography'
  * Add python3-piexif as dependency
  * Refresh patches
  * Drop support for JpegIPTC due to upstream maintenance issue
  * Fix tests
  * Review debian/copyright
  * Add manpage for thumbor-doctor
  * Add python3-pytest-asyncio as build dependency

 -- Marcelo Jorge Vieira <metal@debian.org>  Thu, 15 May 2025 15:45:55 -0300

thumbor (6.7.1~git20210216.f5e64a2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Pablo Santiago Blum de Aguiar ]
  * New upstream version 6.7.1~git20210216.f5e64a2

 -- Pablo Santiago Blum de Aguiar <scorphus@gmail.com>  Tue, 16 Feb 2021 23:15:18 +0100

=== debian/control ===
Source: thumbor
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Gilles Dubuc <gilles@wikimedia.org>,
           Marcelo Jorge Vieira <metal@debian.org>,
           Pablo Santiago Blum de Aguiar <scorphus@gmail.com>
Section: python
Priority: optional
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 12),
               dh-sequence-python3,
               ffmpeg,
               gifsicle,
               libimage-exiftool-perl,
               libjpeg-turbo-progs,
               python3-all-dev,
               python3-cairosvg,
               python3-celery,
               python3-colorama,
               python3-cryptography,
               python3-derpconf (>= 0.2.0),
               python3-libthumbor,
               python3-numpy,
               python3-opencv,
               python3-piexif,
               python3-pil (>= 3.0.0),
               python3-preggy (>= 1.3.0),
               python3-py3exiv2,
               python3-pycryptodome (>= 3.4.7),
               python3-pycurl,
               python3-pyssim,
               python3-pytest,
               python3-pytest-asyncio,
               python3-pytz,
               python3-redis (>= 2.4.9),
               python3-schedule,
               python3-setuptools,
               python3-statsd (>= 3.0.1),
               python3-tornado (>= 4.1.0),
               python3-webcolors,
               redis-server
Homepage: https://github.com/thumbor/thumbor
Vcs-Git: https://salsa.debian.org/python-team/packages/thumbor.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/thumbor

Package: thumbor
Architecture: any
Depends: python3-cairosvg,
         python3-cryptography,
         python3-derpconf (>= 0.2.0),
         python3-libthumbor,
         python3-piexif,
         python3-pil (>= 3.0.0),
         python3-pycryptodome (>= 3.4.7),
         python3-pytz,
         python3-schedule,
         python3-statsd (>= 3.0.1),
         python3-tornado (>= 4.1.0),
         python3-webcolors,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Photo thumbnail service
 Thumbor is a smart imaging service. It enables on-demand crop, resizing
 and flipping of images.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=thumbor
export PYBUILD_TEST_PYTEST = 1
export PYBUILD_BEFORE_TEST = cp -R tests integration_tests {build_dir}; \
	mkdir -p {build_dir}/thumbor/fixtures/filters; \
	cp -R thumbor/fixtures/filters/* {build_dir}/thumbor/fixtures/filters; \
	redis-server --port 6668 --requirepass hey_you > /dev/null &
export PYBUILD_AFTER_TEST = redis-cli -p 6668 -a hey_you shutdown; \
	rm -rf {build_dir}/tests {build_dir}/integration_tests
export PYBUILD_TEST_ARGS = \
	--ignore=tests/detectors/test_queued_detector.py \
	--ignore=tests/error_handlers/test_sentry.py \
	--ignore=tests/handlers/test_base_handler_with_auto_avif.py \
	--ignore=tests/handlers/test_base_handler_with_auto_heif.py \
	--ignore=tests/integration_tests/pil_test.py \
	--ignore=tests/optimizers/test_gifv.py \
	--deselect=integration_tests/pil_test.py::PILTest::test_single_params \
	--deselect=tests/handlers/test_base_handler.py::ImagingOperationsTestCase::test_can_read_heif \
	--deselect=tests/handlers/test_base_handler_with_auto_jpg.py::ImageOperationsWithAutoJpgTestCase::test_can_auto_convert_avif_to_jpg_with_accept_all \
	--deselect=tests/handlers/test_base_handler_with_auto_jpg.py::ImageOperationsWithAutoJpgTestCase::test_can_auto_convert_avif_to_jpg_with_accept_jpeg \
	--deselect=tests/handlers/test_base_handler_with_auto_jpg.py::ImageOperationsWithAutoJpgTestCase::test_can_auto_convert_avif_to_jpg_with_accept_jpg \
	--deselect=tests/handlers/test_base_handler_with_auto_jpg.py::ImageOperationsWithAutoJpgTestCase::test_can_auto_convert_heic_to_jpg_with_accept_all \
	--deselect=tests/handlers/test_base_handler_with_auto_jpg.py::ImageOperationsWithAutoJpgTestCase::test_can_auto_convert_heic_to_jpg_with_accept_jpeg \
	--deselect=tests/handlers/test_base_handler_with_auto_jpg.py::ImageOperationsWithAutoJpgTestCase::test_can_auto_convert_heic_to_jpg_with_accept_jpg \
	--deselect=tests/handlers/test_base_handler_with_auto_png.py::ImageOperationsWithAutoPngTestCase::test_can_auto_convert_heic_to_png \
	--deselect=tests/handlers/test_base_handler_with_gifv.py::ImageOperationsWithGifVTestCase::test_should_convert_animated_gif_to_mp4_when_filter_without_params \
	--deselect=tests/handlers/test_base_handler_with_gifv.py::ImageOperationsWithGifVTestCase::test_should_convert_animated_gif_to_mp4_with_filter_without_params \
	--deselect=tests/handlers/test_base_handler_with_result_storage.py::ImageOperationsResultStorageOnlyTestCase::test_loads_image_from_result_storage \
	--deselect=tests/handlers/test_base_handler_with_result_storage.py::ImageOperationsResultStorageOnlyTestCase::test_loads_image_from_result_storage_fails_on_exception \
	--deselect=tests/handlers/test_base_handler_with_result_storage.py::ImageOperationsWithResultStorageTestCase::test_saves_image_to_result_storage \
	--deselect=tests/handlers/test_base_handler_with_result_storage.py::ImageOperationsWithResultStorageTestCase::test_saves_meta_to_result_storage \
	--deselect=tests/loaders/test_http_loader.py::HttpCurlNotFoundLoaderTestCase::test_load_not_found \
	--deselect=tests/loaders/test_http_loader.py::HttpLoaderTestCase::test_load_with_curl \
	--deselect=tests/loaders/test_https_loader.py::HttpLoaderWithUserAgentForwardingTestCase::test_load_with_default_user_agent \
	--deselect=tests/loaders/test_https_loader.py::HttpLoaderWithUserAgentForwardingTestCase::test_load_with_user_agent \
	--deselect=tests/metrics/test_default_metrics.py::DefaultMetricsTestCase::test_can_initizalize_when_request_comes \
	--deselect=tests/test_config.py::ConfigValuesTestCase::test_default_values \
	integration_tests/ tests/

export PYBUILD_AFTER_INSTALL = mkdir -p {destdir}/etc/thumbor.d; \
	HOME=/var/lib/thumbor PYTHONPATH={destdir}/usr/lib/python{version}/dist-packages/ \
	python{version} {destdir}/usr/bin/thumbor-config > {destdir}/etc/thumbor.d/10-default.conf; \
	find {destdir}/usr/lib/python{version}/dist-packages/ -name '*.c' -delete; \
	rm -rf '{destdir}/{install_dir}/thumbor/fixtures'
export LC_ALL=C.UTF-8
export ASYNC_TEST_TIMEOUT=30

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	rm -rf thumbor.egg-info .pytest_cache
	redis-cli -p 6668 -a hey_you shutdown || true
	find . -name \*.so -delete
	dh_clean

override_dh_installinit:
	dh_installinit --name=thumbor --noscripts

=== debian/watch ===
Version: 5

Template: GitHub
Owner: thumbor
Project: thumbor

## thumbor arcface-0.1

=== requirements.txt ===
thumbor>=6.0.0

## thumbor arcface-0.1.5

=== requirements.txt ===
thumbor>=7.*
